Table of Contents

## Name

glGetPolygonStipple - return the polygon stipple pattern

## C Specification

void glGetPolygonStipple( GLubyte *mask )

eqn not supported

## Parameters

mask
  Returns the stipple pattern. The initial value is all 1's.

## Description

glGetPolygonStipple returns to mask a $32 ~times~ 32$ polygon stipple pattern. The pattern is packed into memory as if glReadPixels with both height and width of 32, type of GL_BITMAP, and format of GL_COLOR_INDEX were called, and the stipple pattern were stored in an internal $32 ~times~ 32$ color index buffer. Unlike glReadPixels, however, pixel transfer operations (shift, offset, pixel map) are not applied to the returned stipple image.

## Notes

If an error is generated, no change is made to the contents of mask.

## Errors

GL_INVALID_OPERATION is generated if glGetPolygonStipple is executed between the execution of glBegin and the corresponding execution of glEnd.

## See Also

glPixelStore(3G) , glPixelTransfer(3G) , glPolygonStipple(3G) , glReadPixels(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Notes
- Errors
- See Also